## pktstat 1.7.4

=== Makefile ===
# David Leonard, 2002. Public domain.
# $Id: Makefile,v 1.20 2004/03/13 16:14:07 d Exp $

# Common makefile component.
# See GNUmakefile or BSDmakefile for gmake or (b)make specific rules.
# For other systems, feel free to hack at this or those files to make
# it compile.
# (and yes, I have heard of configure)

PREFIX?=        /usr/local
TRUEPREFIX?=    ${PREFIX}
BINDIR=         ${TRUEPREFIX}/bin
MANDIR=         ${TRUEPREFIX}/man/cat

PROG=		pktstat
SRCS=		main.c flow.c display.c hash.c resize.c ifc.c abbrev.c tag.c \
		frag.c \
		ether.c ppp.c loop.c sll.c \
		ip.c tcp.c udp.c icmp.c ip6.c ipx.c \
		tcp_http.c tcp_x11.c 
#SRCS+=		tcp_sup.c

LDADD=		-lpcap -lcurses -lm
CPPFLAGS=       -I/usr/include/pcap
#CFLAGS=        -Wall -ggdb

## pktstat 1.8.4

=== debian/changelog ===
pktstat (1.8.4-5) unstable; urgency=low

  * debian/rules
    - (CFLAGS_DEBIAN): Change -D__FAVOR_BSD
      to -D_BSD_SOURCE. Fix thanks to Petr Salinger
      <Petr.Salinger@seznam.cz>
      (reopened FTBFS on kfreebsd; Closes: #575328).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 11 Apr 2010 14:32:39 +0300

pktstat (1.8.4-4) unstable; urgency=low

  * debian/rules
    - (override_dh_auto_build): New. Add -D__FAVOR_BSD.
      (FTBFS on kfreebsd; Closes: #575328).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 25 Mar 2010 18:05:55 +0200

pktstat (1.8.4-3) unstable; urgency=medium

  * debian/control
    - (Vcs-*): new fields.
  * debian/rules
    - (override_dh_auto_install): New. Converted from an old target.
    - (.PHONY): Remove 'install', which prevents installing the binary.
      (Closes: #574773).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 21 Mar 2010 08:08:25 +0200

pktstat (1.8.4-2) unstable; urgency=low

  * New maintainer (Closes: #569183).
    - Move to packaging format "3.0 (quilt)".
  * debian/clean
    - Mew file.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): update to 3.8.4.
    - (Homepage): update to Freshmeat.
  * debian/copyright
    - Update layout.
  * debian/rules
    - Update to dh(1).
  * debian/source/format
    - New file
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 17 Mar 2010 10:51:40 +0200

pktstat (1.8.4-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.7.3

 -- Thomas Seyrat <tomasera@debian.org>  Sun, 27 Jan 2008 14:36:32 +0100

pktstat (1.8.3-1) unstable; urgency=low

  * New upstream release
  * Applied patch by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
    to fix FTBFS on GNU/kFreeBSD (closes: #415138)
  * Now depends on libpcap0.8

 -- Thomas Seyrat <tomasera@debian.org>  Sat, 21 Jul 2007 17:26:04 +0200

pktstat (1.8.1-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.7.2
  * Bumped debhelper compatibility level to 5

 -- Thomas Seyrat <tomasera@debian.org>  Tue,  9 May 2006 13:58:07 +0200

pktstat (1.7.5-1) unstable; urgency=low

  * New upstream release
  * Changed upstream's URL and author's email address

 -- Thomas Seyrat <tomasera@debian.org>  Fri,  4 Feb 2005 18:13:09 +0100

pktstat (1.7.4-2) unstable; urgency=low

  * Edited GNUmakefile to not nroff man page.

 -- Thomas Seyrat <tomasera@debian.org>  Fri,  7 May 2004 18:53:45 +0200

pktstat (1.7.4-1) unstable; urgency=low

  * Initial Release. (closes: #231571)

 -- Thomas Seyrat <tomasera@debian.org>  Sun, 25 Apr 2004 21:14:08 +0200

=== debian/control ===
Source: pktstat
Section: net
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1), libpcap0.8-dev, libncurses5-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/pktstat.git
Vcs-Git: git://git.debian.org/git/collab-maint/pktstat.git
Homepage: http://freshmeat.net/projects/pktstat

Package: pktstat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: top-like utility for network connections usage
 pktstat displays a real-time list of active connections seen on a
 network interface, and how much bandwidth is being used by what.
 .
 It partially decodes HTTP and FTP protocols to show what filename is
 being transferred, as well as X11 application names. Entries hang
 around on the screen for a few seconds so you can see what just
 happened.
 .
 It also accepts BPF expressions.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS_DEBIAN = -D_BSD_SOURCE

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS) $(CFLAGS_DEBIAN)"

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/pktstat \
		bindir=/usr/sbin \
		install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installman pktstat.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

%:
	dh $@

binary: binary-arch

.PHONY: binary-arch binary

# End of file

## pktstat 1.8.5

=== debian/changelog ===
pktstat (1.8.5-9) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 15. (Closes: #1097594)

 -- Adrian Bunk <bunk@debian.org>  Thu, 23 Oct 2025 16:51:07 +0300

pktstat (1.8.5-8) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to format string (closes: #995624)
  * dh 13.
  * Change pointless R³:binary-targets to no.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 09 Oct 2022 12:39:23 +0200

pktstat (1.8.5-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 24 Aug 2021 20:20:56 +0100

pktstat (1.8.5-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920079)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
      - Standards-Version: bumped to 4.4.1 (no changes needed)
      - Switch VCS URLs to salsa.debian.org
  * debian/copyright: updated years and rights.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 30 Dec 2019 21:33:54 -0300

pktstat (1.8.5-5) unstable; urgency=medium

  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 15:51:22 +0300

pktstat (1.8.5-4) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.5.
    - (Homepage): Delete. Dead upstream.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - (Source): Empyy.
    - (Comment): Mention no longer valid URLs.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Feb 2014 22:24:55 +0200

pktstat (1.8.5-3) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.4
  * debian/copyright
    - Update year.
  * debian/patches
    - (10): New. Do now write log to /tmp (CVE-2013-0350; Closes: #701211).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 23 Feb 2013 09:27:29 +0200

pktstat (1.8.5-2) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.3.1.
  * debian/rules
    - Enable all hardening flags.
    - (override_dh_auto_build): Delete; not needed.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 14:45:19 -0400

pktstat (1.8.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): rm dpkg-dev 1.16.1; buildflags.mk no longer used.
    - (Standards-Version): Update to 3.9.3.
  * debian/copyright
    - DEP5 1.0
  * debian/patches
    - Remove. All accepted upstream.
  * debian/rules
    - Rm buildflags.mk; not needed with debhelper 9.
    - Change to DEB_*_MAINT_APPEND variables.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 04 Mar 2012 11:53:56 -0500

pktstat (1.8.4-6) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP5.
  * debian/patches
    - (20): New. Fix hardened gcc errors.
  * debian/rules
    - Delete unnecessary rules.
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 16 Feb 2012 03:43:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pktstat
 Section: net
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1), libpcap0.8-dev, libncurses5-dev
-Standards-Version: 3.8.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pktstat.git
-Vcs-Git: git://git.debian.org/git/collab-maint/pktstat.git
-Homepage: http://freshmeat.net/projects/pktstat
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), libpcap0.8-dev, libncurses5-dev
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/pktstat.git
+Vcs-Browser: https://salsa.debian.org/debian/pktstat
+Homepage: https://github.com/dleonard0/pktstat
 
 Package: pktstat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic -D_BSD_SOURCE
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -- --bindir='$${prefix}/sbin'

%:
	dh $@

# End of file

=== debian/watch ===
version=3
http://www.adaptive-enterprises.com.au/~d/software/pktstat/ .*pktstat-([0-9].*)\.tar\.gz
